<?php

/**
 *
 * @link              https://en-ca.wordpress.org/plugins/custom-ratings
 * @since             1.0.0
 * @package           Custom_Ratings
 *
 * @wordpress-plugin
 * Plugin Name:       Custom Ratings
 * Plugin URI:        https://en-ca.wordpress.org/plugins/custom-ratings
 * Description:       Rate post, pages, custom post types, and more! Upload your own rating object (cat, cupcake, wine glass, whatever you want!)
 * Version:           1.5.1
 * Author:            Steve Puddick
 * Author URI:        http://webrockstar.net/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       custom-ratings
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-custom-ratings-activator.php
 */
function activate_custom_ratings() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-custom-ratings-activator.php';
	Custom_Ratings_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-custom-ratings-deactivator.php
 */
function deactivate_custom_ratings() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-custom-ratings-deactivator.php';
	Custom_Ratings_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_custom_ratings' );
register_deactivation_hook( __FILE__, 'deactivate_custom_ratings' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-custom-ratings.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_custom_ratings() {

	$plugin = new Custom_Ratings();
	$plugin->run();

}
run_custom_ratings();
